theme-st-compare-at .product-price {
  display: flex;
  flex-direction: var(--st-compare-at-direction, row);
  gap: var(--st-compare-at-gap, 8px);
  align-items: center;
}

theme-st-compare-at.block-product-price--discounted .product-price__sale,
theme-st-compare-at.block-product-price--discounted .product-price__sale.body2,
theme-st-compare-at.block-product-price--discounted .product-price__sale.body2.body-font-bold {
  color: var(--st-compare-at-sale-color, rgb(var(--color-text)));
  font-size: var(--st-compare-at-sale-font-size, inherit) !important;
  font-family: var(--st-compare-at-sale-font-family, inherit) !important;
  font-weight: var(--st-compare-at-sale-font-weight, inherit) !important;
  font-style: var(--st-compare-at-sale-font-style, normal) !important;
}

theme-st-compare-at .product-price__origin,
theme-st-compare-at .product-price__origin.body5,
theme-st-compare-at .product-price__origin.body5.body-font-bold {
  color: var(--st-compare-at-origin-color, rgba(var(--color-light-text), 1));
  font-family: var(--st-compare-at-origin-font-family, inherit) !important;
  font-weight: var(--st-compare-at-origin-font-weight, inherit) !important;
  font-style: var(--st-compare-at-origin-font-style, normal) !important;
  font-size: var(--st-compare-at-origin-font-size, 14px) !important;
  line-height: var(--st-compare-at-origin-line-height, 18px);
  text-decoration-line: line-through;
  text-decoration-color: var(--st-compare-at-strike-color, currentColor);
  text-decoration-thickness: var(--st-compare-at-strike-thickness, 1px);
}

theme-st-compare-at .product-price .product-price__item {
  font-size: var(--st-compare-at-sale-font-size, inherit) !important;
  font-family: var(--st-compare-at-sale-font-family, inherit) !important;
  font-weight: var(--st-compare-at-sale-font-weight, inherit) !important;
}

@media (max-width: 959px) {
  theme-st-compare-at .product-price .product-price__item {
    font-size: var(--st-compare-at-sale-font-size-mobile, inherit) !important;
  }

  theme-st-compare-at.block-product-price--discounted .product-price__sale,
  theme-st-compare-at.block-product-price--discounted .product-price__sale.body2,
  theme-st-compare-at.block-product-price--discounted .product-price__sale.body2.body-font-bold {
    font-size: var(--st-compare-at-sale-font-size-mobile, inherit) !important;
  }

  theme-st-compare-at .product-price__origin,
  theme-st-compare-at .product-price__origin.body5,
  theme-st-compare-at .product-price__origin.body5.body-font-bold {
    font-size: var(--st-compare-at-origin-font-size-mobile, 14px) !important;
  }
}
